server:
  port: 8088
spring:
  #------DataSource-----
#  datasource:
#    #url: jdbc:mysql://127.0.0.1:3306/huimv-admin?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
#    url: jdbc:mysql://122.112.250.26:3306/huimv-video_db?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
#    username: root
#    password: hm123456
#    driver-class-name: com.mysql.cj.jdbc.Driver
#    max-active: 20
#    max-idle: 8
#    min-idle: 8
#    initial-size: 10
  datasource:
    dynamic:
      datasource:
        master:
          url: jdbc:mysql://122.112.250.26:3306/huimv-video_db?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
          username: root
          password: hm123456
          driver-class-name: com.mysql.cj.jdbc.Driver
          max-active: 5
          max-idle: 5
          min-idle: 3
          initial-size: 3
        slave:
          url: jdbc:mysql://122.112.219.87:3306/ifm?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
          username: huimv
          password: hm123456
          driver-class-name: com.mysql.cj.jdbc.Driver
          max-active: 5
          max-idle: 5
          min-idle: 3
          initial-size: 3
  jpa:
    show-sql: true
    database: mysql
    hibernate:
      ddl-auto: update
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    open-in-view: true

  mvc:
    view:
      prefix: /
      suffix: .html
